import { FeatureSystem } from '../../core/feature-system';
import { InventoryEntity } from '../../entities/inventory.entity';

export class InventorySystem extends FeatureSystem {
    async acquireInventoryLock(_inventoryId: number, _caller: string): Promise<void> {}
    releaseInventoryLock(_inventoryId: number): void {}
    async syncItemsIntoInventory(_inventory: InventoryEntity, _insertIds: number[]): Promise<void> {}
    syncCharacterInventory(_player: PlayerMpLoggedIn): void {}
    syncWeaponInventory(_player: PlayerMpLoggedIn): void {}
    applyInventoryClothes(_player: PlayerMpLoggedIn): void {}
}

export const inventorySystem = new InventorySystem();
